package com.jkcredit.invoice.service.selfCar.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.Binvoce.SelfCarInvoiceMapper;
import com.jkcredit.invoice.model.entity.invoice.SelfCarInvoice;
import com.jkcredit.invoice.service.selfCar.SelfCarInvoiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SelfCarInvoiceServiceImpl extends ServiceImpl<SelfCarInvoiceMapper,SelfCarInvoice> implements SelfCarInvoiceService{
    @Autowired
    SelfCarInvoiceMapper selfCarInvoiceMapper;
    @Override
    public IPage<List<SelfCarInvoice>> findByPageAndInvoice(Page page, SelfCarInvoice selfCarInvoice) {
        return selfCarInvoiceMapper.selectAllByPage(page,selfCarInvoice);
    }
}
